Update user privilege of shared agent
PUT
/api/v1/gen_agents/share/{agent_id}
Update sharing permissions for an agent.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” agent_id
required
Agent Id
string
Request Body required
Section titled “Request Body required ” UpdateShareAgentRequest
object
user_shared_agent
required
UpdateShareAgentData
object
username_or_email
required
Username Or Email
Username or email of the user
string
role
required
Role
Updated role/permission level
string
Example
viewerResponses
Section titled “ Responses ”Successful Response
BooleanResponse
Simple response returning a single boolean success status.
object
success
required
Success
Success status of the operation
boolean
Bad Request
Agent not found
User shared agent creation/update failed.
Internal Server Error